# osamc.de

This is the root copy of the OSAMC.de website.
The webserver uses it's own git clone of this repository.

## Main Site

https://osamc.de/

Edit the HTML files by hand.

## Archive

https://osamc.de/archiv/

Each sub directory is one talk or project.
Everything that has an .ini file will be parsed by the index generator program.

Since we host large files, like music sessions, in the archive it needs git large file storage for
github. git lfs is detected by github, you or other users don't need to setup anything on github,
just in the local repositories.


Install git-lfs on your system.  https://git-lfs.com/
Go into the git root


Check for potential files:
`git lfs migrate info --everything`

Track large files

```
git lfs install
git lfs track "*.ardour-session-archive"
git lfs track "*.zip"
git lfs track "*.wav"
git lfs track "*.flac"
git add .gitattributes
```

Now the usual git stuff:

```
git add mysong.ardour-session-archive
git commit -m "Add ardour project"
git push
```

If you accidentally commited files before adding them to the lfs tracker you need git lfs migrate:
https://github.com/git-lfs/git-lfs/blob/main/docs/man/git-lfs-migrate.adoc?utm_source=gitlfs_site&utm_medium=doc_man_migrate_link&utm_campaign=gitlfs


Convert the existing files:
`git lfs migrate import --everything --include="*.ardour-session-archiv"`
